<template>
  <Masons label="All masons"/>
</template>

<script>
import Masons from '@/components/Masons.vue';
import axiosClient from '@/axiosClient';
import { mapMutations } from 'vuex';
import { get_mason } from '@/components/helpers.js';

export default {
  components: {
    Masons
  },
  methods: {
    ...mapMutations(['addMasons', 'clearMasons'])
  },
  created() {
    this.clearMasons()
    axiosClient.get('/masons')
    .then((response) => {
      let masons = [];
      for(let mason_data of response.data.data)
      {
        masons.push(get_mason(mason_data))
      }
      this.addMasons(masons)
    })
    .catch((error) => {
      console.log(error)
    })
  }
}

</script>